Recommended update for sbd

SUSE Recommended Update: Recommended update for sbd
Announcement ID: SUSE-RU-2019:2434-1
Rating: moderate
References: #1128059 #1134496 #1140065
Affected Products:
  • SUSE Linux Enterprise High Availability 15

An update that has three recommended fixes can now be installed.

Description:

This update for sbd fixes the following issues:
- sbd-cluster: Fix 100% CPU usage when CMAP connection is lost. (bsc#1140065, SOC-8774)
- Update to version 1.4.0+20190514.e9be8d9: - sbd-inquisitor: Avoid flooding logs with messages that hint the default/configured timeout action. (bsc#1134496)
- Update to version 1.4.0+20190416.5e3283c: - sbd-inquisitor: Overhaul device-list-parser. - sbd-inquisitor: Free timeout action on bail out. - sbd-md: Prevent unrealistic overflow on sector io calc.
- Update to version 1.4.0+20190326.c38c5e6: - sbd-pacemaker: Bail out of status earlier. - sbd-pacemaker: Make handling of cib-connection loss more robust.
- Update to version 1.4.0+20190311.0159a3c: - sbd-cluster: Finalize CMAP connection if disconnected from cluster. (bsc#1128059)
- Update from 1.4.0+20190123.1829c40 to version 1.4.0+20190201.f949aa8: - Fail earlier on invalid servants.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise High Availability 15:
    zypper in -t patch SUSE-SLE-Product-HA-15-2019-2434=1

Package List:

  • SUSE Linux Enterprise High Availability 15 (aarch64 ppc64le s390x x86_64):
    • sbd-1.4.0+20190514.e9be8d9-3.6.1
    • sbd-debuginfo-1.4.0+20190514.e9be8d9-3.6.1
    • sbd-debugsource-1.4.0+20190514.e9be8d9-3.6.1

References: